/**
  *  \file game/tables.h
  *  \brief Built-in Integer-to-String Mappings
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_TABLES_H
#define PCC_V2_GAME_TABLES_H

#include "cpluslib/types.h"

const char* getTemperatureName(int temp);
const char* getNativeRaceName(int race);
const char* getNativeGovernmentName(int gov);
const char* getHappinessName(int happy);
const char* getHappyChangeName(int change);
const char* getBaseMissionName(int mission);
const char* getIndustryLevelName(int level);
const char* getMineralMassClassName(int32_t mass);
const char* getMineralDensityClassName(int density);
const char* getWormholeStabilityName(int code);
const char* getHeadingName(int heading);
const char* getIonStormClassName(int voltage);
const char* getPlanetaryStructureName(int kind);

#endif
