/**
  *  \file ui/util.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_UTIL_H
#define PCC_V2_UI_UTIL_H

#include "gfx/gfx.h"
#include "gfx/pixmap.h"
#include "gfx/font.h"

class StringTable;
class GfxContext;

void drawTiledArea(GfxCanvas& can, GfxRect r, Ptr<GfxPixmap> pix,
                   uint32 color, int alter);
void drawFrameUp(GfxCanvas& can, GfxRect r);
void drawFrameDown(GfxCanvas& can, GfxRect r);
void drawDashedFrame(GfxCanvas& can, GfxRect r, uint8 phase, uint32 c1, uint32 c2);

int countLines(GfxFont& font, int width, string_t s);
int getTextWidthFormatted(GfxFont& font, int width, string_t s);
void outTextFormatted(GfxContext& ctx, int x, int y, int width, string_t s);
void outTextFormattedF(GfxContext& ctx, int x, int y, int width, int lines, string_t s);

int getTextWidth(GfxFont& font, const StringTable& table);
void getTabbedTextWidth(GfxFont& font, const StringTable& table, int& left_width, int& total_width);

#endif
